---
name: 🐛 Bug Report
about: If something isn't working as expected 🤔

---

<!-- Thanks for helping grpc-swift! Before you submit your issue, please make sure to check the following boxes by putting an x in the [ ] (don't: [x ], [ x], do: [x]) -->

### New Issue Checklist

- [ ] Updated grpc-swift to the latest version
- [ ] I read the [Contribution Guidelines](https://github.com/grpc/grpc-swift/blob/master/CONTRIBUTING.md)
- [ ] I searched for [existing GitHub issues](https://github.com/grpc/grpc-swift/issues)(especially, there are many [resolved issues related to SSL](https://github.com/grpc/grpc-swift/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aclosed+ssl))

### Issue Description
<!-- Please include what's happening, expected behavior, and any relevant code samples. 
Please wrap log statements and code in triple backticks (```) so they get printed correctly on GitHub.
-->

##### Complete output when running grpc-swift, including the stack trace and command used
<!-- You can use environment variables for debug 
e.g. 
export GRPC_TRACE=all
export GRPC_VERBOSITY="DEBUG"
-->

<!-- The output of `GRPC_VERBOSITY` could contain sensitive data, Please make sure you double check the output and replace anything sensitive you don't wish to submit in the issue -->

<details>
  <pre>[INSERT OUTPUT HERE]</pre>
</details>

### Environment

<!-- Please input your environment. -->

<details>
  <pre>
  
| Key                           | Value                                                         |
| ----------------------------- | --------------------------------------------------------------|
| OS Version                    |   x.x.x                                                       |
| Swift Version                 |   x.x.x                                                       |
| Xcode Version                 |   x.x.x                                                       |
| gRPC-Swift Version            |   x.x.x                                                       |
| gRPC-Swift Version            |   x.x.x                                                       |
| protoc Version                |   x.x.x                                                       |
| protoc-gen-swift Version      |   x.x.x                                                       |
| protoc-gen-swiftgrpc Version  |   x.x.x                                                       |
  </pre>
</details>

